<?php
class TareaBean {

  protected $TareaId;
  protected $Descripcion;
  protected $TextoBoton;
  protected $TipoTarea;
  protected $ScriptId;
  protected $EsDisabled;
  protected $PatronId;
  protected $SubSisId;
  protected $initial_passthru;
  protected $selection_fixed;
  protected $selection_temp;
  protected $Settings;
  protected $OrdebarPor;
  protected $GuardarDatos;
  protected $LogSqlQuery;
  protected $ScreenRefresh;
  protected $UseHttps;
  protected $FechaCreacion;
  protected $UsuarioCreacion;
  protected $FechaAcualizacion;
  protected $UsuarioActualizacion;
  
	protected $Mensaje;
	protected $Error;

  public function getTareaId(){
    return $this->TareaId;
  }
  public function setTareaId($vl){
    $this->TareaId = $vl;
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($vl){
    $this->Descripcion = $vl;
  }

  public function getTextoBoton(){
    return $this->TextoBoton;
  }
  public function setTextoBoton($vl){
    $this->TextoBoton = $vl;
  }

  public function getTipoTarea(){
    return $this->TipoTarea;
  }
  public function setTipoTarea($vl){
    $this->TipoTarea = $vl;
  }

  public function getScriptId(){
    return $this->ScriptId;
  }
  public function setScriptId($vl){
    $this->ScriptId = $vl;
  }

  public function getEsDisabled(){
    return $this->EsDisabled;
  }
  public function setEsDisabled($vl){
    $this->EsDisabled = $vl;
  }

  public function getPatronId(){
    return $this->PatronId;
  }
  public function setPatronId($vl){
    $this->PatronId = $vl;
  }

  public function getSubSisId(){
    return $this->SubSisId;
  }
  public function setSubSisId($vl){
    $this->SubSisId = $vl;
  }

  public function getinitial_passthru(){
    return $this->initial_passthru;
  }
  public function setinitial_passthru($vl){
    $this->initial_passthru = $vl;
  }

  public function getselection_fixed(){
    return $this->selection_fixed;
  }
  public function setselection_fixed($vl){
    $this->selection_fixed = $vl;
  }

  public function getselection_temp(){
    return $this->selection_temp;
  }
  public function setselection_temp($vl){
    $this->selection_temp = $vl;
  }

  public function getSettings(){
    return $this->Settings;
  }
  public function setSettings($vl){
    $this->Settings = $vl;
  }

  public function getOrdebarPor(){
    return $this->OrdebarPor;
  }
  public function setOrdebarPor($vl){
    $this->OrdebarPor = $vl;
  }

  public function getGuardarDatos(){
    return $this->GuardarDatos;
  }
  public function setGuardarDatos($vl){
    $this->GuardarDatos = $vl;
  }

  public function getLogSqlQuery(){
    return $this->LogSqlQuery;
  }
  public function setLogSqlQuery($vl){
    $this->LogSqlQuery = $vl;
  }

  public function getScreenRefresh(){
    return $this->ScreenRefresh;
  }
  public function setScreenRefresh($vl){
    $this->ScreenRefresh = $vl;
  }

  public function getUseHttps(){
    return $this->UseHttps;
  }
  public function setUseHttps($vl){
    $this->UseHttps = $vl;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($vl){
    $this->FechaCreacion = $vl;
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($vl){
    $this->UsuarioCreacion = $vl;
  }

  public function getFechaAcualizacion(){
    return $this->FechaAcualizacion;
  }
  public function setFechaAcualizacion($vl){
    $this->FechaAcualizacion = $vl;
  }

  public function getUsuarioActualizacion(){
    return $this->UsuarioActualizacion;
  }
  public function setUsuarioActualizacion($vl){
    $this->UsuarioActualizacion = $vl;
  }
  
	public function setMensaje($v){
	  $this->Mensaje = $v;
	}
	public function getMensaje(){
	  return $this->Mensaje;
	}
	
	public function setError($v){
	  $this->Error = $v;
	}
	public function getError(){
	  return $this->Error;
	}

}